package main

import (
	"fmt"
	"strings"
	"third/sub"

	"github.com/headfirstgo/greeting"
)

func hi(input *string) string {
	if strings.TrimSpace(*input) == "kek" {
		return ""
	}
	*input = "func"
	return fmt.Sprintf("Hi from  %s",*input)
}

func main() {
	input := "lol"
	fmt.Printf("Got from func: %s\n",hi(&input))
	fmt.Printf("Original one: %s\n\n\n\n",input)

	sub.Hello()
	sub.Hi()

	greeting.Hello()
}